<?
	require_once("admin__check.php");

	// 获取或设置参数
	$job=trim($job);
	$id=floor(trim($id));

	// 已提交表单 (添加|改变状态)
	if($check=="ok"){	

		if($job==""){
			$flag="error";
			show_msg("错误：未知操作！","-1");
		}
		else{
			if($id<>""){
				$ids=array($id);
			}
			else{
				$ids=split(",",$ids);
			}
		}

		if($flag<>"error"){

			switch($job){
				case "delete":
					// 删除内容
					foreach($ids as $id){
						$sql="update ".TBL_PAGE." set status=-1 where id=".$id;
						mysql_query($sql);		
					}
					break;
				case "change":
					// 更改状态
					foreach($ids as $id){
						$sql="update ".TBL_PAGE." set status=".floor(trim($status))." where id=".$id;	
						mysql_query($sql);	
					}
					break;
			}

			if(mysql_error()<>""){
				show_msg($sql.mysql_error()."数据库操作出错，请联系客服！");			
			}
			else{
				show_msg("数据更新成功！","-1");
			}

		}

	}
?>